@if (componentData) {
  <div class="custom-field-information-grid">
    <sqtm-core-label [text]="'sqtm-core.entity.generic.label' | translate">
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [attr.data-test-field-id]="'custom-field-label'"
      [required]="true"
      [sqtmCoreGenericViewEditableTextField]="'label'"
      class="txt-ellipsis"
      layout="compact"
    >
    </sqtm-core-editable-text-field>
    <sqtm-core-label [text]="'sqtm-core.generic.label.code' | translate">
    </sqtm-core-label>
    <sqtm-core-editable-text-field
      [attr.data-test-field-id]="'custom-field-code'"
      [required]="true"
      [sqtmCoreGenericViewEditableTextField]="'code'"
      layout="compact"
    >
    </sqtm-core-editable-text-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.custom-field.input-type.label' | translate"
    >
    </sqtm-core-label>
    <div>{{ translatedCustomFieldType }}</div>
    @if (showOptionalField) {
      <sqtm-core-label
        [text]="'sqtm-core.entity.custom-field.optional.label' | translate"
      >
      </sqtm-core-label>
      <span
        nz-checkbox
        class="m-auto-0"
        [attr.data-test-field-name]="'custom-field-optional'"
        [nzChecked]="componentData.customField.optional"
        (nzCheckedChange)="toggleOptional($event)"
      >
      </span>
    }
    @if (showDefaultValueField) {
      <sqtm-core-label
        [text]="'sqtm-core.entity.custom-field.default-value.label' | translate"
      >
      </sqtm-core-label>
      @switch (inputType) {
        @case ('PLAIN_TEXT') {
          <sqtm-core-editable-text-field
            [sqtmCoreGenericViewEditableTextField]="'defaultValue'"
            [attr.data-test-field-id]="'custom-field-default-text-value'"
            layout="compact"
          >
          </sqtm-core-editable-text-field>
        }
        @case ('CHECKBOX') {
          <sqtm-core-editable-select-field
            [sqtmCoreGenericViewEditableSelectField]="'defaultValue'"
            [attr.data-test-field-id]="'custom-field-default-checkbox-value'"
            [options]="defaultCheckedOptions"
            [layout]="'no-buttons'"
          >
          </sqtm-core-editable-select-field>
        }
        @case ('DATE_PICKER') {
          <sqtm-core-editable-date-field
            [sqtmCoreGenericViewEditableDateCufValue]="'defaultValue'"
            [attr.data-test-field-id]="'custom-field-default-date-value'"
            [allowEmptyValue]="componentData.customField.optional"
          >
          </sqtm-core-editable-date-field>
        }
        @case ('RICH_TEXT') {
          <sqtm-core-editable-rich-text
            [size]="'small'"
            [focus]="true"
            [sqtmCoreGenericViewEditableRichTextField]="'largeDefaultValue'"
            [attr.data-test-field-id]="'custom-field-default-rich-text-value'"
          >
          </sqtm-core-editable-rich-text>
        }
        @case ('TAG') {
          <sqtm-core-editable-draggable-tag-field
            [required]="!componentData.customField.optional"
            [options]="
              componentData.customField.defaultValue !== ''
                ? componentData.customField.defaultValue.split('|')
                : []
            "
            [placeholder]="'sqtm-core.entity.generic.add.label' | translate"
            (editTagEvent)="addTagDefaultValue($event)"
            [attr.data-test-field-id]="'custom-field-default-tag-value'"
          >
          </sqtm-core-editable-draggable-tag-field>
        }
        @case ('NUMERIC') {
          <sqtm-core-editable-numeric-field
            [sqtmCoreGenericViewEditableNumericField]="'numericDefaultValue'"
            [attr.data-test-field-id]="'custom-field-default-numeric-value'"
            layout="compact"
          >
          </sqtm-core-editable-numeric-field>
        }
      }
    }
  </div>
}
